---

#! jobs/vm-scalability.yaml
suite: vm-scalability
testcase: vm-scalability
category: benchmark
perf-profile:
runtime: 300s
size: 1T
vm-scalability:
  test: lru-shm
job_origin: vm-scalability.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: bisect
testbox: lkp-cpl-4sp2
tbox_group: lkp-cpl-4sp2
submit_id: 65ad57d905eccd5e50757b2d
job_file: "/lkp/jobs/scheduled/lkp-cpl-4sp2/vm-scalability-performance-300s-1T-lru-shm-debian-11.1-x86_64-20220510.cgz-8d59d2214c23-20240122-24144-13agr2t-1.yaml"
id: 1c30f158c565212edb9afd05dfc990bfa478c58b
queuer_version: "/zday/lkp"

#! /db/releases/20240112222728/lkp-src/hosts/lkp-cpl-4sp2
model: Cooper Lake
nr_node: 4
nr_cpu: 224
memory: 192G
nr_ssd_partitions: 3
nr_hdd_partitions: 6
hdd_partitions: "/dev/disk/by-id/ata-WDC_WD20SPZX-00UA7T0_WD-WXD2EA047AUD-part*"
ssd_partitions:
- "/dev/disk/by-id/ata-KINGSTON_SA400S37960G_50026B7381E6FA78-part1"
- "/dev/disk/by-id/ata-KINGSTON_SA400S37960G_50026B7381E6FA78-part2"
- "/dev/disk/by-id/ata-KINGSTON_SA400S37960G_50026B7381E6FA78-part3"
rootfs_partition: "/dev/disk/by-id/ata-KINGSTON_SA400S37960G_50026B7381E6FA78-part4"
kernel_cmdline_hw: acpi_rsdp=0x666e0014
result_service: tmpfs
LKP_SERVER: 10.239.97.5
avoid_nfs: 1
brand: Intel(R) Xeon(R) Platinum 8380H CPU @ 2.90GHz

#! /db/releases/20240112222728/lkp-src/include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: n
- XFS_DEBUG: n
- XFS_WARN: y
- PM_DEBUG: n
- PM_SLEEP_DEBUG: n
- DEBUG_ATOMIC_SLEEP: n
- DEBUG_SPINLOCK_SLEEP: n
- CIFS_DEBUG: n
- SCSI_DEBUG: n
- NFS_DEBUG: n
- SUNRPC_DEBUG: n
- DM_DEBUG: n
- DEBUG_SHIRQ: n
- OCFS2_DEBUG_MASKLOG: n
- DEBUG_MEMORY_INIT: n
- BUG_ON_DATA_CORRUPTION: n
- DEBUG_LIST: n
- DEBUG_PLIST: n
- EXPERT: y
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY_BEHAVIOUR: y
- PREEMPT_BEHAVIOUR: n
- PREEMPT_NONE_BEHAVIOUR: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- BLK_DEV_LOOP
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:

#! /db/releases/20240112222728/lkp-src/include/category/ALL
cpufreq_governor: performance
sanity-check:

#! /db/releases/20240112222728/lkp-src/include/vm-scalability

#! /db/releases/20240112222728/lkp-src/include/queue/cyclic
commit: 8d59d2214c2362e7a9d185d80b613e632581af7b

#! /db/releases/20240112222728/lkp-src/include/testbox/lkp-cpl-4sp2
ucode: '0x7002703'
kconfig: x86_64-rhel-8.3
enqueue_time: 2024-01-22 01:43:54.230828880 +08:00
_id: 65ad57dd05eccd5e50757b2e
_rt: "/result/vm-scalability/performance-300s-1T-lru-shm/lkp-cpl-4sp2/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3/gcc-12/8d59d2214c2362e7a9d185d80b613e632581af7b"
compiler: gcc-12
head_commit: 1e6776bd895723c70959fdc01b44c36174db9793
base_commit: 0dd3ee31125508cd67f7e7172247f05b7fd1753a
branch: linux-devel/devel-hourly-20240120-071415
rootfs: debian-11.1-x86_64-20220510.cgz

#! schedule options
user: lkp
scheduler_version: "/lkp/lkp/.src-20240116-165431"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-11.1-x86_64-20220510.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/vm-scalability/performance-300s-1T-lru-shm/lkp-cpl-4sp2/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3/gcc-12/8d59d2214c2362e7a9d185d80b613e632581af7b/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3/gcc-12/8d59d2214c2362e7a9d185d80b613e632581af7b/vmlinuz-6.7.0-rc4-00219-g8d59d2214c23
- branch=linux-devel/devel-hourly-20240120-071415
- job=/lkp/jobs/scheduled/lkp-cpl-4sp2/vm-scalability-performance-300s-1T-lru-shm-debian-11.1-x86_64-20220510.cgz-8d59d2214c23-20240122-24144-13agr2t-1.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3
- commit=8d59d2214c2362e7a9d185d80b613e632581af7b
- nmi_watchdog=0
- acpi_rsdp=0x666e0014
- max_uptime=2100
- LKP_SERVER=10.239.97.5
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3/gcc-12/8d59d2214c2362e7a9d185d80b613e632581af7b/modules.cgz"
bm_initrd: "/osimage/deps/debian-11.1-x86_64-20220510.cgz/run-ipconfig_20220515.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/lkp_20220513.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/rsync-rootfs_20220515.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/perf_20230522.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/perf-x86_64-00c7b5f4ddc5-1_20230402.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/vm-scalability_20220514.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/vm-scalability-x86_64-1.0-0_20220518.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/mpstat_20220516.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/turbostat_20220514.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/turbostat-x86_64-210e04ff7681-1_20220518.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/sar-x86_64-c5bb321-1_20220518.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/hw_20220526.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/rootfs_20220515.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /cephfs/db/releases/20240119150519/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-cpl-4sp2/vm-scalability-performance-300s-1T-lru-shm-debian-11.1-x86_64-20220510.cgz-8d59d2214c23-20240122-24144-13agr2t-1.cgz"
last_kernel: 6.7.0
acpi_rsdp: '0x666e0014'
repeat_to: 3

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-8.3/gcc-12/8d59d2214c2362e7a9d185d80b613e632581af7b/vmlinuz-6.7.0-rc4-00219-g8d59d2214c23"
result_root: "/result/vm-scalability/performance-300s-1T-lru-shm/lkp-cpl-4sp2/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3/gcc-12/8d59d2214c2362e7a9d185d80b613e632581af7b/0"
dequeue_time: 2024-01-22 01:52:50.501548137 +08:00
job_state: finished
loadavg: 13.88 16.86 8.30 4/2013 65036
start_time: '1705887861'
end_time: '1705888163'
version: "/lkp/lkp/.src-20240116-165509:892542e0bf87:dce7f1e2c2c6"
